// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of cresce.api;

///
class SessionStatusModel {
  /// Instantiate a new enum with the provided [value].
  const SessionStatusModel._(this.value);

  /// The underlying value of this enum member.
  final String value;

  @override
  String toString() => value;

  String toJson() => value;

  static const provided = SessionStatusModel._(r'Provided');
  static const cancelled = SessionStatusModel._(r'Cancelled');

  /// List of all possible values in this [enum][SessionStatusModel].
  static const values = <SessionStatusModel>[
    provided,
    cancelled,
  ];

  static SessionStatusModel fromJson(dynamic value) {
    switch (value.toString()) {
      case r'Provided':
        return SessionStatusModel.provided;
      default:
        return SessionStatusModel.cancelled;
    }
  }
}
